Locomotion going a bit loco in 2022.11.29

Morning!
My locomotion scene setup in 2022.7.22 (complete) is broken in 2022.11.29
All my leg pins are constrained to locators that are used in the locomotion plan… all works well.
Then after opening in the latest build, all locators have lost their positions and at world 0.
I’ve noticed when I highlight the plan itself that it states “Not installed” in the manipulator windows, where it usually tells me how good I am at creating them?
I have tested again between builds and it still opens fine in the previous version.
Thanks
Kev

Thanks for reporting this, I think I get what’s going on. Try calling Ragdoll → Locomotion → Update Plan to give it a little nudge. Looking at a fix for this now.

image

Update plan didn’t seem to do anything, plus when I hit T, all markers disappear, until I exit the manipulator mode

Hm, try the Force Update option.

image

Can you confirm whether it works in a new scene, with a simple character?

Force update has no effect.
I do have x4 plans in the scene using custom start times.

I’m able to setup a new locomtion without any issue too, just tested in a new scene.

Hm, not good. Is there anything you can send me to have a closer look? Are you able to reproduce the problem in a new scene also? Perhaps with 4 plans?

Yes I have been able to replicate the issue.
Create a plan using locators in 2022.7.22. Opening it in the new version 2022.11.29 gives me the same issue.
Force update plan doesnt work on this test either.
Thats with x1 plan

FYI I’ve just tested using geo for the plan too, same issue

Yes, I can see it now. Investigating.

1 Like

Got it, new release is up, called 2022.11.30.

Thanks again for reporting this! :heart:

1 Like

All working my end.
Thanks again :slight_smile:

I tried setting up a simple locomotion scene with a cube for body and 4 spheres for feet, but get this error using 2022.11.30:

from ragdoll import interactive as ri
ri.assign_plan()
59.0 0.699999988079071 0.699999988079071 1.0
118.0 0.699999988079071 0.699999988079071 1.0
177.0 0.699999988079071 0.699999988079071 1.0
236.0 0.699999988079071 0.699999988079071 1.0

Warning: ragdoll.format_exception_wrapper() - Traceback (most recent call last):

File “C:\Users\User\Documents\maya\modules\Ragdoll-2022_11_30\scripts\ragdoll\vendor\cmdx_ragdoll.py”, line 957, in findPlug
plug = self._fn.findPlug(name, want_networked_plug)
RuntimeError: (kInvalidParameter): Object is incompatible with this method

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\User\Documents\maya\modules\Ragdoll-2022_11_30\scripts\ragdoll\vendor\cmdx_ragdoll.py”, line 602, in getitem
plug = self.findPlug(key)
File “C:\Users\User\Documents\maya\modules\Ragdoll-2022_11_30\scripts\ragdoll\vendor\cmdx_ragdoll.py”, line 960, in findPlug
raise ExistError("%s.%s" % (self.path(), name))
ragdoll.vendor.cmdx_ragdoll.ExistError: |rPlan_pCube1|rPlan_pCube1Shape.sourceTransform

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\User\Documents\maya\modules\Ragdoll-2022_11_30\scripts\ragdoll\interactive.py”, line 161, in format_exception_wrapper
return func(*args, **kwargs)
File “C:\Users\User\Documents\maya\modules\Ragdoll-2022_11_30\scripts\ragdoll\interactive.py”, line 2825, in assign_plan
plan = commands.assign_plan(body, feet, opts)
File “C:\Users\User\Documents\maya\modules\Ragdoll-2022_11_30\scripts\ragdoll\commands.py”, line 1849, in assign_plan
mod.connect(body[“message”], rdplan[“sourceTransform”])
File “C:\Users\User\Documents\maya\modules\Ragdoll-2022_11_30\scripts\ragdoll\vendor\cmdx_ragdoll.py”, line 604, in getitem
raise ExistError("%s.%s" % (self.path(), key))
ragdoll.vendor.cmdx_ragdoll.ExistError: |rPlan_pCube1|rPlan_pCube1Shape.sourceTransform

setFilterScript “initialShadingGroup”;
// Result: 0 //
setFilterScript “initialParticleSE”;
// Result: 0 //
setFilterScript “defaultLightSet”;
// Result: 1 //
setFilterScript “defaultObjectSet”;
// Result: 1 //

Oh lord, I really messed this one up. Sorry about this guys, I’ll sort this out in the morning. :sweat:

Ok, here we go! Ragdoll 2022.12.01

Locomotion is going through a major update at the moment, and backwards compatibility got caught in the middle. Hopefully this restores things and the next thing you hear about it is a new dawn of great possibilities! But let me know if not and I’ll keep whacking those moles! :sweat_smile:

1 Like